Issue 121200

Summary: [Regression][Automation][Performance]Severe downgrade to save xls sample files.
Product: performance Reporter: Li Lin Yi <lilinyi921734>
Component: codeAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Major    
Priority: P3 CC: Armin.Le.Grand, awf.aoo, hdu, leiw
Version: AOO400-devKeywords: automation_bug, performance, regression
Target Milestone: not determined   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 121136    
Issue Blocks:    

Description Li Lin Yi 2012-10-12 02:12:17 UTC
Build: rev. 1391367
OS: Windows
Reproduce steps:
1. Launch AOO, opened sample file
2. Save it as original file type, recorded the saving time.
Sample file:
https://svn.apache.org/repos/asf/incubator/ooo/trunk/test/testgui/data/pvt/plain_11s.xls
https://svn.apache.org/repos/asf/incubator/ooo/trunk/test/testgui/data/pvt/complex_29s.xls


Manual testing of xls saving time between rev. 1390913 and rev. 1391367. The downgrade from regression is obvious huge:
                    rev. 1390913 VS rev. 1391367
plain_11s.xls:      1.182        vs 18.226
complex_29s.xls:    4.448        vs 35.438
Comment 1 hdu@apache.org 2012-10-24 14:11:38 UTC
The performance regression was probably introduced by revision 1391359
  #i121136 Improve Spreadsheet performance in some area (Patch 1)
but it can no longer be reproduced on a recent trunk version probably because revision 1395911 fixed it and enabled other optimizations:
  #i121136 Improve Spreadsheet performance in some area (Patch 2)
Comment 2 Li Lin Yi 2012-10-25 05:25:47 UTC
I checked build r1401602 manually, it still has this problem.
Comment 3 Wang Lei 2012-10-25 08:05:13 UTC
It may be related with bug i119707, we will continue to do investigation
Comment 4 Wang Lei 2012-11-08 09:36:47 UTC
Roll back part codes of solutions for i119707. Submit patch in revision 1406980
Comment 5 Li Lin Yi 2012-11-19 03:44:49 UTC
r1407366 still have downgrade problem.
Pls see http://people.apache.org/~liuzhe/testdashboard/#pvt_gui_Benchmark : build 350m1(Build:9611)-2012-11-10.
Comment 6 Yan Ji 2012-11-28 04:38:48 UTC
According to PVT result, the downgrade issue is not fixed, so reopen it
Comment 7 Andre 2014-02-18 09:55:39 UTC
I can't reproduce the problem for plain_11s.xls but I don't have measure the saving time for the older revision.

Saving complex_29s.xls seems to be slow and towards the end of the saving process I get a warning box that says 

    The document contains more rows than supported in the selected format.
    Additional rows were not saved.
Comment 8 Andre 2014-02-18 10:06:39 UTC
(In reply to hdu@apache.org from comment #1)
> The performance regression was probably introduced by revision 1391359
>   #i121136 Improve Spreadsheet performance in some area (Patch 1)
> but it can no longer be reproduced on a recent trunk version probably
> because revision 1395911 fixed it and enabled other optimizations:
>   #i121136 Improve Spreadsheet performance in some area (Patch 2)

Can you provide any details why these changes could have a negative performance impact?  Bug 121136 does not contain this information.
Comment 9 Andre 2014-02-27 16:36:39 UTC
Not sure that I can still reproduce slow loading of complex_29.xls.  The first two steps of the loading (loading and updating row heights) is quite fast (a couple of seconds).  Only the third part (calculation of cell contents) takes a little longer (maybe 10s).
Comment 10 Armin Le Grand 2014-02-27 21:58:32 UTC
Save times are machine dependent, but both saves are close to left column of the table in original Description with AOO410 branch version as pro build. Definitely not close to the 2nd column.